import com.imsl.chart.*;
import java.awt.Color;

public class SampleAxesLeftRight extends JFrameChart {

    public SampleAxesLeftRight() {        
        Chart chart = getChart();
        
        AxisXY axisLeft = new AxisXY(chart);
        double yLeft[] = {4, 6, 2, 1, 8};
        Data dataLeft = new Data(axisLeft, yLeft);
        dataLeft.setDataType(Data.DATA_TYPE_LINE);
        axisLeft.setLineColor(Color.blue);
        axisLeft.setTextColor(Color.blue);

        AxisXY axisRight = new AxisXY(chart);
        axisRight.getAxisX().setPaint(false);
        axisRight.getAxisY().setType(Axis1D.AXIS_Y_RIGHT);
        double yRight[] = {85, 23, 46, 61, 32};
        Data dataRight = new Data(axisRight, yRight);
        dataRight.setDataType(Data.DATA_TYPE_LINE);
        axisRight.setLineColor(Color.pink);
        axisRight.setTextColor(Color.pink);
    }
    
    public static void main(String argv[]) {
        new SampleAxesLeftRight().setVisible(true);
    }
}